package com.jpsoft.shinestar.modules.sys.entity;

import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:sys_menu的实体类
 */
public class Menu {
	private String id;
	private String menuName;
	private String parentId;
	private Integer sortNo;
	private String menuUrl;
	private String menuType;
	private Date createTime;
	private String createBy;
	private Date updateTime;
	private String updateBy;
	private Boolean delFlag;
	private String parentName;
	private List<Menu> children;
	private String icon;

		/**
	 *获取菜单编号
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置菜单编号
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取菜单名称
	 */
	public String getMenuName(){
		return menuName;
	}
	
	/**
	 *设置菜单名称
	 */
	public void setMenuName(String menuName){
		this.menuName = menuName;
	}
		/**
	 *获取上级菜单
	 */
	public String getParentId(){
		return parentId;
	}
	
	/**
	 *设置上级菜单
	 */
	public void setParentId(String parentId){
		this.parentId = parentId;
	}
		/**
	 *获取排序号
	 */
	public Integer getSortNo(){
		return sortNo;
	}
	
	/**
	 *设置排序号
	 */
	public void setSortNo(Integer sortNo){
		this.sortNo = sortNo;
	}
		/**
	 *获取菜单地址
	 */
	public String getMenuUrl(){
		return menuUrl;
	}
	
	/**
	 *设置菜单地址
	 */
	public void setMenuUrl(String menuUrl){
		this.menuUrl = menuUrl;
	}
		/**
	 *获取菜单类型（1-后端、2-前端）
	 */
	public String getMenuType(){
		return menuType;
	}
	
	/**
	 *设置菜单类型（1-后端、2-前端）
	 */
	public void setMenuType(String menuType){
		this.menuType = menuType;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		/**
	 *获取
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public List<Menu> getChildren() {
		return children;
	}

	public void setChildren(List<Menu> children) {
		this.children = children;
	}

	public String getIcon() {
		return icon;
	}

	public void setIcon(String icon) {
		this.icon = icon;
	}
}